SIMILARITY_SERVER(1)

NAME
similarity_server.pl - [Web] The backend WordNet::Similarity server for the Web Interface

SYNOPSIS
Usage: similarity_server.pl [--port PORTNUMBER] [--logfile LOGFILE] [--maxchild NUM] [--stoplist STOPFILE]
                        | --help
                        | --version

DESCRIPTION
This script implements the backend of the web interface for WordNet::Similarity.

This script listens to a port waiting for a request form similarity.cgi or wps.cgi. The client script sends a message to this script as series of queries (see QUERY FORMAT). After all the queries, the client sends a message containing only CRLF (carriage-return line-feed, or \015\012).

The server (this script) responds with the results (see MESSAGE FORMAT) terminated by a message containing only CRLF.

  Example:
 Client:
 g car#n#1CRLF
 CRLF

 Sever responds:
 g car#n#1 4-wheeled motor vehicle; usually propelled by an internal
 combustion engine; "he needs a car to get to work"CRLF
 CRLF

OPTIONS
--port=PORTNUMBER
    Specify the port PORTNUMBER for the server to listen on.

--logfile=LOGFILE
    The output LOGFILE where any error or warning messages should be
    written out.

--maxchild=NUM
    Specify the maximum number NUM of the processes that should be forked
    to handle the requests.

--stoplist=STOPFILE
    A file STOPFILE of stop words to be provided to the lesk and vector
    modules.

--help
    Display the help message and quit.

--version
    Display the version information and quit.

QUERY FORMAT
<CRLF> means carriage-return line-feed "\r\n" on Unix, "\n\r" on Macs, \015\012 everywhere and anywhere (i.e., don't use \n or \r, use \015\012).

The queries consist of messages in the following formats:

 s <word1> <word2><CRLF> - server will return all senses of word1 and
 word2

 g <word><CRLF> - server will return the gloss for each synset to which
 word belongs

 r <wps1> <wps2> <measure> <etc...><CRLF> - server will return the
 relatedness of wps1 and wps2 using measure.

 v <CRLF> - get version information

MESSAGE FORMAT
The messages sent from this server will be in the following formats:

 ! <msg><CRLF> - indicates an error or warning

 g <wps> <gloss><CRLF> - the gloss of wps

 r <wps1> <wps2> <score><CRFL> - the relatedness score of wps1 and wps2

 t <msg><CRLF> - the trace output for the previous relatedness score

 s <wps1> <wps2> ... <wpsN><CRLF> - a synset

 v <package> <version number><CRLF> - the version of 'package' being used

BUGS
Report to WordNet::Similarity mailing list :
 <http://groups.yahoo.com/group/wn-similarity>

SEE ALSO
WordNet::Similarity

WordNet home page :
 <http://wordnet.princeton.edu>

WordNet::Similarity home page (provides link to web interface):
 <http://wn-similarity.sourceforge.net>

AUTHORS
 Ted Pedersen, University of Minnesota, Duluth
 tpederse at d.umn.edu

 Siddharth Patwardhan, University of Utah
 sidd at cs.utah.edu

 Jason Michelizzi

COPYRIGHT
Copyright (c) 2005-2008, Ted Pedersen, Siddharth Patwardhan and Jason Michelizzi

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to:

    The Free Software Foundation, Inc.,
    59 Temple Place - Suite 330,
    Boston, MA  02111-1307, USA.